# Created by pyp2rpm-3.3.2
%global pypi_name Pallets-Sphinx-Themes

Name:           python-%{pypi_name}
Version:        1.2.3
Release:        1%{?dist}
Summary:        Sphinx themes for Pallets and related projects

License:        BSD-3-Clause
URL:            https://sphinx-themes.palletsprojects.com/
Source0:        https://files.pythonhosted.org/packages/source/P/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Pallets Sphinx Themes Themes for the Pallets projects. If you're writing an
extension, use the appropriate theme to make your documentation look
consistent.Available themes:- flask - jinja - werkzeug - clickInstall this
package:.. code-block:: text pip install Pallets-Sphinx-ThemesEnable the
extension and choose the theme in docs/conf.py:.. code-block:: python
extensions [...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(importlib-metadata)
Requires:       python3dist(packaging)
Requires:       python3dist(setuptools)
Requires:       python3dist(sphinx)
%description -n python3-%{pypi_name}
Pallets Sphinx Themes Themes for the Pallets projects. If you're writing an
extension, use the appropriate theme to make your documentation look
consistent.Available themes:- flask - jinja - werkzeug - clickInstall this
package:.. code-block:: text pip install Pallets-Sphinx-ThemesEnable the
extension and choose the theme in docs/conf.py:.. code-block:: python
extensions [...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.rst
%doc README.rst
%{python3_sitelib}/pallets_sphinx_themes
%{python3_sitelib}/Pallets_Sphinx_Themes-%{version}-py?.?.egg-info

%changelog
* Wed Jan 08 2020 Felix Kaechele <heffer@fedoraproject.org> - 1.2.3-1
- Initial package.
